play.templates

## Class BaseTemplate

- java.lang.Object
- - play.templates.Template
  - - play.templates.BaseTemplate

Direct Known Subclasses:
  GroovyTemplate

    public abstract class BaseTemplate
    extends Template

### Nested Class Summary

Nested Classes
`static class` `BaseTemplate.RawData`

### Field Summary

Fields
`java.lang.String` `compiledSource`
`java.lang.Class` `compiledTemplate`
`java.lang.String` `compiledTemplateName`
`static java.lang.ThreadLocal<BaseTemplate>` `currentTemplate`
`java.util.Set<java.lang.Integer>` `doBodyLines`
`static java.lang.ThreadLocal<BaseTemplate>` `layout`
`static java.lang.ThreadLocal<java.util.Map<java.lang.Object,java.lang.Object>>` `layoutData`
`java.util.Map<java.lang.Integer,java.lang.Integer>` `linesMatrix`
`java.lang.Long` `timestamp`

### Fields inherited from class play.templates.Template

`name, source`

### Constructor Summary

Constructors
Constructor and Description
`BaseTemplate(java.lang.String source)`
`BaseTemplate(java.lang.String name, java.lang.String source)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract java.lang.Throwable` `cleanStackTrace(java.lang.Throwable e)`
`boolean` `loadFromCache()`
`void` `loadPrecompiled()`

### Methods inherited from class play.templates.Template

`compile, getName, internalRender, render, render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### compiledSource

    public java.lang.String compiledSource

#### linesMatrix

    public java.util.Map<java.lang.Integer,java.lang.Integer> linesMatrix

#### doBodyLines

    public java.util.Set<java.lang.Integer> doBodyLines

#### compiledTemplate

    public java.lang.Class compiledTemplate

#### compiledTemplateName

    public java.lang.String compiledTemplateName

#### timestamp

    public java.lang.Long timestamp

#### layout

    public static final java.lang.ThreadLocal<BaseTemplate> layout

#### layoutData

    public static final java.lang.ThreadLocal<java.util.Map<java.lang.Object,java.lang.Object>> layoutData

#### currentTemplate

    public static final java.lang.ThreadLocal<BaseTemplate> currentTemplate

### Constructor Detail

#### BaseTemplate

    public BaseTemplate(java.lang.String name,
                        java.lang.String source)

#### BaseTemplate

    public BaseTemplate(java.lang.String source)

### Method Detail

#### loadPrecompiled

    public void loadPrecompiled()

#### loadFromCache

    public boolean loadFromCache()

#### cleanStackTrace

    protected abstract java.lang.Throwable cleanStackTrace(java.lang.Throwable e)